%global majorver 1.0
%global appdata_name org.xubuntu.XfpanelSwitch

Name:		xfce4-xfpanel-switch
Version:	1.0.7
Release:	%mkrel 1
Summary:	A simple application to manage Xfce panel layouts
Group:      Graphical desktop/Xfce
License:	GPLv3
URL:		https://launchpad.net/%{name}
Source0:	https://launchpad.net/%{name}/%{majorver}/%{version}/+download/xfpanel-switch-%{version}.tar.xz

BuildRequires:	python3-devel

BuildRequires:	gettext
BuildRequires:	intltool
BuildArch:	noarch
Requires:	xfce4-panel
Requires:   python3

%description
A simple application to manage Xfce panel layouts

With the modular Xfce Panel, a multitude of panel layouts can be created. 
This tool makes it possible to backup, restore, import, and export these 
panel layouts.

%prep
%setup -qn xfpanel-switch-%{version}

%build
#cannot use configure macro here
./configure --prefix=/usr
%make_build

%install
%make_install

rm -f %{buildroot}%{_docdir}/xfpanel-switch/COPYING

%find_lang xfpanel-switch

%files -f xfpanel-switch.lang
%{_datadir}/xfpanel-switch/*
%{_bindir}/xfpanel-switch
%{_datadir}/applications/xfpanel-switch.desktop
%{_datadir}/metainfo/*.appdata.xml
%{_datadir}/doc/xfpanel-switch

%changelog
* Sat Feb 02 2019 tex 1.0.7-1pclos2019
- created
